ArrayAccess::offsetGet
ArrayAccess::offsetUnset
ArrayAccess
PHP Manual

# ArrayAccess::offsetSet

(PHP 5 >= 5.0.0)

ArrayAccess::offsetSet — Offset to set

### Description

abstract public void ArrayAccess::offsetSet ( mixed `$offset` , mixed `$value` )

Assigns a value to the specified offset.

### Parameters

`offset`

  The offset to assign the value to.

`value`

  The value to set.

### Return Values

No value is returned.

### Notes

> Note:

> The `offset` parameter will be set to `NULL` if another value is not available, like in the following example.

> `<?php
> $arrayaccess[] = "first value";
> $arrayaccess[] = "second value";
> print_r($arrayaccess);
> ?>`

> The above example will output:

>     Array
>     (
>         [0] => first value
>         [1] => second value
>     )

> Note:

> This function is not called in assignments by reference and otherwise indirect changes to array dimensions overloaded with ArrayAccess (indirect in the sense they are made not by changing the dimension directly, but by changing a sub-dimension or sub-property or assigning the array dimension by reference to another variable). Instead, ArrayAccess::offsetGet() is called. The operation will only be successful if that method returns by reference, which is only possible since PHP 5.3.4.

ArrayAccess::offsetGet
ArrayAccess::offsetUnset
ArrayAccess
PHP Manual